Subject: Re: RFC-2233 and ds3 MIB use in conjunction with each other

From: David Fowler <[email-masked]>
Date: Fri, 15 Jan 1999 11:53:21 +0000

Carl,

I am working from home today and do not have access to all the MIBS handy,
but I will venture a guess.

If anything would be supported, it would be the ifFixedLength Group.  If I
recall correctly,
none of these stats are appropriate for DS1/DS3.  These MIBS have there own
stats in them.
In fact, the majority of the trunk MIBs are stats.

Link utilization for trunk-type interfaces is not the normal was to handle
stats for these type of interfaces.
Normally, availability is what is used, and those are the stats in the
MIBs.
Time-division multiplexing interfaces like these are normally connected at
the 64k level
and the amount of data passing is not measured.  Utilization would be
tracked in the sense that 1/24
of the T1 has been utilized.

I am assuming in this case that you are talking about IP over
un-channelized DS1/DS3.  I do not think
that the standard MIBS provide for this case.

If this doesn't make sense, I will look into more on Monday when I am back
in the office.

Regards,
David

"Carl W. Kalbfleisch" wrote:

> Hi,
>
> I have a question about the usage of the interfaces MIB (rfc-2233) used
> in conjunction with the ds1/ds3 MIB. According to RFC-2233 attributes in
> ifGeneralInformationGroup are mandatory. Then the attributes of at most
> one of the following groups may be supported: ifFixedLengthGroup,
> ifHCFixedLengthGroup, ifPacketGroup, ifHCPacketGroup and
> ifVHCPacketGroup. In the latest draft,
> http://www.ietf.org/internet-drafts/draft-ietf-ifmib-ifmib2-00.txt, the
> wording of which groups should be implemented is different.
>
> In the trunk MIB,
> http://www.ietf.org/internet-drafts/draft-ietf-trunkmib-ds3-mib-09.txt,
> idicates "Only the ifGeneralGroup needs to be supported."
>
> We have devices in our network which connects customer circuits which
> has no values implemented for ifInOctets or ifOutOctets because none of
> the optional groups in the if MIB are supported by the device. We
> therefore are unable to do any metrics for these customers link
> utilization.
>
> Could someone please shed some light on:
>
> What is the latest recommendations of which ifGroups should be supported
> by ds3?
>
> Is there any chance that these working groups will change their
> recommendations on which groups should be supported?
>
> Is there some other place I should be looking for interface statistics
> for ifType ds1 and ds3?
>
> Thanks,
> Carl
>
> --
> Carl W. Kalbfleisch
> Manager NMS Development
> Verio Inc., http://www.verio.net